<template>
  <el-bus-crud v-bind="tableConfig" />
</template>

<script>
import { categoryMarkUpConfig } from '@/utils/mark-up-config'

export default {
  data() {
    return {
      tableConfig: {
        url: 'flower/api/flower/markup/ps/spcg/list',
        newUrl: 'flower/api/flower/markup/ps/spcg/list/save',
        editUrl: 'flower/api/flower/markup/ps/spcg/list/save',
        onDelete: (row) => {
          return this.$elBusHttp.request(
            'flower/api/flower/markup/ps/spcg/list/delete',
            {
              params: {
                categoryId: row.categoryId,
                partnerId: row.partnerId,
              },
            }
          )
        },
        ...categoryMarkUpConfig(this.$route, this.$createElement),
      },
    }
  },
  head() {
    return {
      title: '平台加价-分类',
    }
  },
}
</script>

<style lang="scss" scoped></style>
